Bug 22006 - logview: problems with localized date&time in logs
logview: problems with localized date&time in logs
Product: Red Hat Linux
Classification: Retired
Component: gnome-utils (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Dale Lovelace
Depends On:
  Show dependency treegraph
Reported: 2000-12-09 14:24 EST by giulioo
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-12-10 13:32:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description giulioo 2000-12-09 14:24:03 EST
Since my LANG settings are it_IT some applications log in Italian, and 
some in US  (December: Dec -> dic)
Dec  6 11:14:46 localhost xinetd[770]: options compiled in.
Dec  6 11:14:46 localhost xinetd[770]: Started working: 2 available 
dic  6 11:14:50 localhost xinetd: xinetd startup succeeded
dic  6 11:14:50 localhost lpd: lpd shutdown succeeded

Logview gets confused: the rows with Italian months are displayed without 
date and time and their content is "dic" (the unrecognized month)

Instead of 
11:14:50 lpd lpd shutdown succeeded
I just see
             dic   (empty time, empty daemon name)

This should be solved either in logview or by having syslogd logging 
always in English.
Comment 1 Havoc Pennington 2000-12-10 13:32:38 EST
Logview should be fixed.
Comment 2 Elliot Lee 2001-02-01 19:47:23 EST
gnome-admin (and therefore logview) is no longer in the distribution.

Note You need to log in before you can comment on or make changes to this bug.